プロジェクト

全般

プロフィール

Rails を知らない人のための Redmine プラグイン開発ガイドについて

NAITOH Junほぼ6年前に追加

お世話になっております。内藤と申します。

以前、 Rails を知らない人のための Redmine プラグイン開発ガイド を読ませて頂き、大変勉強になりました。
この開発ガイドは Redmine 1.x 向けに書かれていますが、Redmine 2.x の内容に更新予定はあるでしょうか?
だんだん内容が古くなってきており非常にもったいないなと考えています。

試しに Redmine 2.2 環境でもうまくいくかやってみたところ、Rails3, jQuery 対応などで、あちこちではまりどころがあったのですが、なんとかガイドの内容と同じ流れで動作させるところまでうまくいきました。

せっかくなので忘れないうちに、開発ガイドのRedmine 2.x 対応にご協力できればと考えたのですが、いかがでしょうか?


返答 (11)

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - Haru Iidaほぼ6年前に追加

NAITOHさん、プロジェクトメンバーに追加しました。wiki編集権もありますので是非更新してください。

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - NAITOH Junほぼ6年前に追加

ありがとうございます。では私のほうでwikiを更新させて頂きます♪

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - NAITOH Junほぼ6年前に追加

一応、作成方針として下記を考えています。何かご意見があればよろしくお願いします。

  • 現状の「Rails を知らない人のための Redmine プラグイン開発ガイド」 ⇒ Redmine 1.x 向けに残しておく(複数ページにわたるので、Redmine 1.x向けの情報は、このWikiページのこのバージョンを見て下さいという一括リンクが作れないため。)
  • 「Rails を知らない人のための Redmine プラグイン開発ガイド for Redmine 2.x」を新規Wikiページとして作成 ⇒ 上記Redmine 1.x 向けの最終版を一度登録して、差分を追加する。(Redmine 1.x向けからの差分履歴を追えるように配慮する。)

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - Haru Iidaほぼ6年前に追加

よいアイディアだと思います。
#個人的には1.xを消しちゃってもいいと思いますが。

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - NAITOH Junほぼ6年前に追加

#個人的には1.xを消しちゃってもいいと思いますが。

そうですね。1.x向けの需要は少なくなっていくと思うので、単純に今のwikiページの内容を 2.x向けに修正していく方針に変更します。

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - NAITOH Junほぼ6年前に追加

Redmine 2.1〜2.3を前提とした内容に更新が完了しました。
何か問題点があれば指摘願います。

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - Mitsuyoshi Yoshidaほぼ6年前に追加

吉田です。
すみません。今までこのスレッドに気づいてませんでした。

修正ありがとうございます。
2.x 対応はしないといけないとは思っていたのですが、私自身がよくわかっていませんでした。

もともと自分ひとりの知識ではこころもとなかったので、手を入れていただけるのは大歓迎です。

古い情報などはどんどん削除していって、最新の方にあわせていく という方針でいいと思います。

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - Toshiyuki Andoほぼ6年前に追加

GuideDevEnv に bundler による gem のインストールがいるかなと思いました。

bundle install --without postgresql mysql

くらいかな?

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - NAITOH Junほぼ6年前に追加

Mitsuyoshi Yoshida は書きました:

もともと自分ひとりの知識ではこころもとなかったので、手を入れていただけるのは大歓迎です。

ありがとうございます。:)

古い情報などはどんどん削除していって、最新の方にあわせていく という方針でいいと思います。

了解しました。やはりそちらの方がシンプルでいいですよね。

Toshiyuki Ando は書きました:

GuideDevEnv に bundler による gem のインストールがいるかなと思いました。

ありがとうございます。記載するか悩みましたが、記載した方がわかりやすいので追加しました。

更新が完了したので Rails を知らない人のための Redmine プラグイン開発ガイド の Redmine 2.x 対応をニュースでアナウンスさせて頂きます。ご協力ありがとうございました。;)

RE: Rails を知らない人のための Redmine プラグイン開発ガイドについて - Toshiyuki Andoほぼ6年前に追加

お疲れ様でした!!
素晴らしいと思います!!

    (1-11/11)